| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::CoreDbAccessUnlock Class Reference

## Public Member Functions
| CoreDbAccessUnlock ()
| Acquire an object of this class if you want to assure that the CoreDbAccess is not held during the lifetime of the object.
| CoreDbAccessUnlock (CoreDbAccess *const access)

## Constructor & Destructor Documentation

## ◆ CoreDbAccessUnlock()

Digikam::CoreDbAccessUnlock::CoreDbAccessUnlock | ( |  | ) |

At creation, the lock is obtained shortly, then all locks are released. At destruction, all locks are acquired again. If you need to access any locked structures during lifetime, acquire a new CoreDbAccess.